<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.base.mapper.OrgRelTypeMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.base.model.OrgRelType" >
    <id column="ORG_REL_TYPE_ID" property="orgRelTypeId" jdbcType="BIGINT" />
    <result column="ORG_REL_TYPE_CODE" property="orgRelTypeCode" jdbcType="VARCHAR" />
    <result column="ORG_REL_TYPE_NAME" property="orgRelTypeName" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    ORG_REL_TYPE_ID, ORG_REL_TYPE_CODE, ORG_REL_TYPE_NAME
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from org_rel_type
    where ORG_REL_TYPE_ID = #{orgRelTypeId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from org_rel_type
    where ORG_REL_TYPE_ID = #{orgRelTypeId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.base.model.OrgRelType" >
    insert into org_rel_type (ORG_REL_TYPE_ID, ORG_REL_TYPE_CODE, ORG_REL_TYPE_NAME
      )
    values (#{orgRelTypeId,jdbcType=BIGINT}, #{orgRelTypeCode,jdbcType=VARCHAR}, #{orgRelTypeName,jdbcType=VARCHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.base.model.OrgRelType" >
    insert into org_rel_type
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="orgRelTypeId != null" >
        ORG_REL_TYPE_ID,
      </if>
      <if test="orgRelTypeCode != null" >
        ORG_REL_TYPE_CODE,
      </if>
      <if test="orgRelTypeName != null" >
        ORG_REL_TYPE_NAME,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="orgRelTypeId != null" >
        #{orgRelTypeId,jdbcType=BIGINT},
      </if>
      <if test="orgRelTypeCode != null" >
        #{orgRelTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="orgRelTypeName != null" >
        #{orgRelTypeName,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.base.model.OrgRelType" >
    update org_rel_type
    <set >
      <if test="orgRelTypeCode != null" >
        ORG_REL_TYPE_CODE = #{orgRelTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="orgRelTypeName != null" >
        ORG_REL_TYPE_NAME = #{orgRelTypeName,jdbcType=VARCHAR},
      </if>
    </set>
    where ORG_REL_TYPE_ID = #{orgRelTypeId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.base.model.OrgRelType" >
    update org_rel_type
    set ORG_REL_TYPE_CODE = #{orgRelTypeCode,jdbcType=VARCHAR},
      ORG_REL_TYPE_NAME = #{orgRelTypeName,jdbcType=VARCHAR}
    where ORG_REL_TYPE_ID = #{orgRelTypeId,jdbcType=BIGINT}
  </update>
</mapper>